Share via


Elastic Pools - Update

Updates an elastic pool.

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/elasticPools/{elasticPoolName}?api-version=2025-01-01

URI Parameters

Name In Required Type Description
elasticPoolName
path True

string

The name of the elastic pool.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
properties.autoPauseDelay

integer (int32)

Time in minutes after which elastic pool is automatically paused. A value of -1 means that automatic pause is disabled

properties.availabilityZone

AvailabilityZoneType

Specifies the availability zone the pool's primary replica is pinned to.

properties.highAvailabilityReplicaCount

integer (int32)

The number of secondary replicas associated with the Business Critical, Premium, or Hyperscale edition elastic pool that are used to provide high availability. Applicable only to Hyperscale elastic pools.

properties.licenseType

ElasticPoolLicenseType

The license type to apply for this elastic pool.

properties.maintenanceConfigurationId

string

Maintenance configuration id assigned to the elastic pool. This configuration defines the period when the maintenance updates will will occur.

properties.maxSizeBytes

integer (int64)

The storage limit for the database elastic pool in bytes.

properties.minCapacity

number (double)

Minimal capacity that serverless pool will not shrink below, if not paused

properties.perDatabaseSettings

ElasticPoolPerDatabaseSettings

The per database settings for the elastic pool.

properties.preferredEnclaveType

AlwaysEncryptedEnclaveType

Type of enclave requested on the elastic pool.

properties.zoneRedundant

boolean

Whether or not this elastic pool is zone redundant, which means the replicas of this elastic pool will be spread across multiple availability zones.

sku

Sku

An ARM Resource SKU.

tags

object

Resource tags.

Responses

Name Type Description
200 OK

ElasticPool

Azure operation completed successfully.

202 Accepted

Resource update request accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Assigns maintenance configuration to an elastic pool.
Resets maintenance configuration of an elastic pool to default.
Update an elastic pool with all parameter
Update an elastic pool with minimum parameters
Update an elastic pool with preferred enclave type parameter as Default
Update an elastic pool with preferred enclave type parameter as VBS
Update an elastic pool with serverless properties
Update high availability replica count of a Hyperscale elastic pool.

Assigns maintenance configuration to an elastic pool.

Sample request

PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102?api-version=2025-01-01

{
  "properties": {
    "maintenanceConfigurationId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Maintenance/publicMaintenanceConfigurations/SQL_JapanEast_1"
  }
}

Sample response

{
  "name": "sqlcrudtest-8102",
  "type": "Microsoft.Sql/servers/elasticPools",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102",
  "kind": null,
  "location": "Japan East",
  "properties": {
    "creationDate": "2017-02-10T01:25:25.033Z",
    "maintenanceConfigurationId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Maintenance/publicMaintenanceConfigurations/SQL_JapanEast_1",
    "maxSizeBytes": 5242880000,
    "perDatabaseSettings": {
      "maxCapacity": 5,
      "minCapacity": 0
    },
    "state": "Ready"
  },
  "sku": {
    "name": "BasicPool",
    "capacity": 50,
    "tier": "Basic"
  }
}
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/locations/japaneast1/operationStatus/default/operationId/00000000-0000-0000-0000-000000000000?api-version=2020-08-01

Resets maintenance configuration of an elastic pool to default.

Sample request

PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102?api-version=2025-01-01

{
  "properties": {
    "maintenanceConfigurationId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Maintenance/publicMaintenanceConfigurations/SQL_Default"
  }
}

Sample response

{
  "name": "sqlcrudtest-8102",
  "type": "Microsoft.Sql/servers/elasticPools",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102",
  "kind": null,
  "location": "Japan East",
  "properties": {
    "creationDate": "2017-02-10T01:25:25.033Z",
    "maxSizeBytes": 5242880000,
    "perDatabaseSettings": {
      "maxCapacity": 5,
      "minCapacity": 0
    },
    "state": "Ready"
  },
  "sku": {
    "name": "BasicPool",
    "capacity": 50,
    "tier": "Basic"
  }
}
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/locations/japaneast1/operationStatus/default/operationId/00000000-0000-0000-0000-000000000000?api-version=2020-08-01

Update an elastic pool with all parameter

Sample request

PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102?api-version=2025-01-01

{
  "properties": {
    "licenseType": "LicenseIncluded",
    "perDatabaseSettings": {
      "maxCapacity": 1,
      "minCapacity": 0.25
    },
    "zoneRedundant": true
  },
  "sku": {
    "name": "BC_Gen4",
    "capacity": 2,
    "tier": "BusinessCritical"
  }
}

Sample response

{
  "name": "sqlcrudtest-8102",
  "type": "Microsoft.Sql/servers/elasticPools",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102",
  "kind": null,
  "location": "Japan East",
  "properties": {
    "creationDate": "2017-02-10T01:27:21.32Z",
    "licenseType": "LicenseIncluded",
    "maxSizeBytes": 5242880000,
    "perDatabaseSettings": {
      "maxCapacity": 1,
      "minCapacity": 0.25
    },
    "state": "Ready",
    "zoneRedundant": true
  },
  "sku": {
    "name": "BC_Gen4",
    "capacity": 2,
    "tier": "BusinessCritical"
  }
}
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/locations/japaneast1/operationStatus/default/operationId/00000000-0000-0000-0000-000000000000?api-version=2017-10-01

Update an elastic pool with minimum parameters

Sample request

PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102?api-version=2025-01-01

{}

Sample response

{
  "name": "sqlcrudtest-8102",
  "type": "Microsoft.Sql/servers/elasticPools",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102",
  "kind": null,
  "location": "Japan East",
  "properties": {
    "creationDate": "2017-02-10T01:25:25.033Z",
    "maxSizeBytes": 5242880000,
    "perDatabaseSettings": {
      "maxCapacity": 5,
      "minCapacity": 0
    },
    "state": "Ready"
  },
  "sku": {
    "name": "BasicPool",
    "capacity": 50,
    "tier": "Basic"
  }
}
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/locations/japaneast1/operationStatus/default/operationId/00000000-0000-0000-0000-000000000000?api-version=2017-10-01

Update an elastic pool with preferred enclave type parameter as Default

Sample request

PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102?api-version=2025-01-01

{
  "properties": {
    "preferredEnclaveType": "Default"
  },
  "sku": {
    "name": "GP_Gen5_4"
  }
}

Sample response

{
  "name": "sqlcrudtest-8102",
  "type": "Microsoft.Sql/servers/elasticPools",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102",
  "kind": "vcore,pool",
  "location": "Japan East",
  "properties": {
    "creationDate": "2022-08-26T03:46:20.57Z",
    "licenseType": "LicenseIncluded",
    "maintenanceConfigurationId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Maintenance/publicMaintenanceConfigurations/SQL_Default",
    "maxSizeBytes": 0,
    "perDatabaseSettings": {
      "maxCapacity": 4,
      "minCapacity": 0
    },
    "preferredEnclaveType": "Default",
    "state": "Ready",
    "zoneRedundant": false
  },
  "sku": {
    "name": "GP_Gen5",
    "capacity": 4,
    "family": "Gen5",
    "tier": "GeneralPurpose"
  }
}
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/locations/japaneast1/operationStatus/default/operationId/00000000-0000-0000-0000-000000000000?api-version=2022-08-01

Update an elastic pool with preferred enclave type parameter as VBS

Sample request

PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102?api-version=2025-01-01

{
  "properties": {
    "preferredEnclaveType": "VBS"
  },
  "sku": {
    "name": "GP_Gen5_4"
  }
}

Sample response

{
  "name": "sqlcrudtest-8102",
  "type": "Microsoft.Sql/servers/elasticPools",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102",
  "kind": "vcore,pool",
  "location": "Japan East",
  "properties": {
    "creationDate": "2022-08-26T03:46:20.57Z",
    "licenseType": "LicenseIncluded",
    "maintenanceConfigurationId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Maintenance/publicMaintenanceConfigurations/SQL_Default",
    "maxSizeBytes": 0,
    "perDatabaseSettings": {
      "maxCapacity": 4,
      "minCapacity": 0
    },
    "preferredEnclaveType": "VBS",
    "state": "Ready",
    "zoneRedundant": false
  },
  "sku": {
    "name": "GP_Gen5",
    "capacity": 4,
    "family": "Gen5",
    "tier": "GeneralPurpose"
  }
}
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/locations/japaneast1/operationStatus/default/operationId/00000000-0000-0000-0000-000000000000?api-version=2022-08-01

Update an elastic pool with serverless properties

Sample request

PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102?api-version=2025-01-01

{
  "properties": {
    "autoPauseDelay": 60,
    "minCapacity": 0.5,
    "perDatabaseSettings": {
      "autoPauseDelay": 80,
      "maxCapacity": 2,
      "minCapacity": 0
    }
  },
  "sku": {
    "name": "GP_S_Gen5_2",
    "capacity": 2,
    "tier": "GeneralPurpose"
  }
}

Sample response

{
  "name": "sqlcrudtest-8102",
  "type": "Microsoft.Sql/servers/elasticPools",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102",
  "kind": null,
  "location": "Japan East",
  "properties": {
    "autoPauseDelay": 60,
    "creationDate": "2017-02-10T01:25:25.033Z",
    "maxSizeBytes": 102400,
    "minCapacity": 0.5,
    "perDatabaseSettings": {
      "autoPauseDelay": 80,
      "maxCapacity": 2,
      "minCapacity": 0
    },
    "state": "Ready"
  },
  "sku": {
    "name": "GP_S_Gen5_2",
    "capacity": 2,
    "tier": "GeneralPurpose"
  }
}
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/locations/japaneast1/operationStatus/default/operationId/00000000-0000-0000-0000-000000000000?api-version=2023-05-01

Update high availability replica count of a Hyperscale elastic pool.

Sample request

PATCH https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102?api-version=2025-01-01

{
  "properties": {
    "highAvailabilityReplicaCount": 2
  }
}

Sample response

{
  "name": "sqlcrudtest-8102",
  "type": "Microsoft.Sql/servers/elasticPools",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/servers/sqlcrudtest-8069/elasticPools/sqlcrudtest-8102",
  "kind": "vcore,pool",
  "location": "Japan East",
  "properties": {
    "creationDate": "2021-08-26T03:46:20.57Z",
    "highAvailabilityReplicaCount": 2,
    "licenseType": "LicenseIncluded",
    "maintenanceConfigurationId": "/subscriptions/00000000-1111-2222-3333-444444444444/providers/Microsoft.Maintenance/publicMaintenanceConfigurations/SQL_Default",
    "maxSizeBytes": 0,
    "perDatabaseSettings": {
      "maxCapacity": 4,
      "minCapacity": 0
    },
    "state": "Ready",
    "zoneRedundant": false
  },
  "sku": {
    "name": "HS_Gen5",
    "capacity": 4,
    "family": "Gen5",
    "tier": "Hyperscale"
  }
}
Location: https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/sqlcrudtest-2369/providers/Microsoft.Sql/locations/japaneast1/operationStatus/default/operationId/00000000-0000-0000-0000-000000000000?api-version=2021-08-01

Definitions

Name Description
AlwaysEncryptedEnclaveType

Type of enclave requested on the database i.e. Default or VBS enclaves.

AvailabilityZoneType

Specifies the availability zone the database is pinned to.

createdByType

The type of identity that created the resource.

ElasticPool

An elastic pool.

ElasticPoolLicenseType

The license type to apply for this elastic pool.

ElasticPoolPerDatabaseSettings

Per database settings of an elastic pool.

ElasticPoolState

The state of the elastic pool.

ElasticPoolUpdate

An elastic pool update.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

Sku

An ARM Resource SKU.

systemData

Metadata pertaining to creation and last modification of the resource.

AlwaysEncryptedEnclaveType

Type of enclave requested on the database i.e. Default or VBS enclaves.

Value Description
Default

Default

VBS

VBS

AvailabilityZoneType

Specifies the availability zone the database is pinned to.

Value Description
NoPreference

NoPreference

1

1

2

2

3

3

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ElasticPool

An elastic pool.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

Kind of elastic pool. This is metadata used for the Azure portal experience.

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.autoPauseDelay

integer (int32)

Time in minutes after which elastic pool is automatically paused. A value of -1 means that automatic pause is disabled

properties.availabilityZone

AvailabilityZoneType

Specifies the availability zone the pool's primary replica is pinned to.

properties.creationDate

string (date-time)

The creation date of the elastic pool (ISO8601 format).

properties.highAvailabilityReplicaCount

integer (int32)

The number of secondary replicas associated with the Business Critical, Premium, or Hyperscale edition elastic pool that are used to provide high availability. Applicable only to Hyperscale elastic pools.

properties.licenseType

ElasticPoolLicenseType

The license type to apply for this elastic pool.

properties.maintenanceConfigurationId

string

Maintenance configuration id assigned to the elastic pool. This configuration defines the period when the maintenance updates will will occur.

properties.maxSizeBytes

integer (int64)

The storage limit for the database elastic pool in bytes.

properties.minCapacity

number (double)

Minimal capacity that serverless pool will not shrink below, if not paused

properties.perDatabaseSettings

ElasticPoolPerDatabaseSettings

The per database settings for the elastic pool.

properties.preferredEnclaveType

AlwaysEncryptedEnclaveType

Type of enclave requested on the elastic pool.

properties.state

ElasticPoolState

The state of the elastic pool.

properties.zoneRedundant

boolean

Whether or not this elastic pool is zone redundant, which means the replicas of this elastic pool will be spread across multiple availability zones.

sku

Sku

The elastic pool SKU.

The list of SKUs may vary by region and support offer. To determine the SKUs (including the SKU name, tier/edition, family, and capacity) that are available to your subscription in an Azure region, use the Capabilities_ListByLocation REST API or the following command:

az sql elastic-pool list-editions -l <location> -o table
systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

tags

object

Resource tags.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ElasticPoolLicenseType

The license type to apply for this elastic pool.

Value Description
LicenseIncluded

LicenseIncluded

BasePrice

BasePrice

ElasticPoolPerDatabaseSettings

Per database settings of an elastic pool.

Name Type Description
autoPauseDelay

integer (int32)

Auto Pause Delay for per database within pool

maxCapacity

number (double)

The maximum capacity any one database can consume.

minCapacity

number (double)

The minimum capacity all databases are guaranteed.

ElasticPoolState

The state of the elastic pool.

Value Description
Creating

Creating

Ready

Ready

Disabled

Disabled

ElasticPoolUpdate

An elastic pool update.

Name Type Description
properties.autoPauseDelay

integer (int32)

Time in minutes after which elastic pool is automatically paused. A value of -1 means that automatic pause is disabled

properties.availabilityZone

AvailabilityZoneType

Specifies the availability zone the pool's primary replica is pinned to.

properties.highAvailabilityReplicaCount

integer (int32)

The number of secondary replicas associated with the Business Critical, Premium, or Hyperscale edition elastic pool that are used to provide high availability. Applicable only to Hyperscale elastic pools.

properties.licenseType

ElasticPoolLicenseType

The license type to apply for this elastic pool.

properties.maintenanceConfigurationId

string

Maintenance configuration id assigned to the elastic pool. This configuration defines the period when the maintenance updates will will occur.

properties.maxSizeBytes

integer (int64)

The storage limit for the database elastic pool in bytes.

properties.minCapacity

number (double)

Minimal capacity that serverless pool will not shrink below, if not paused

properties.perDatabaseSettings

ElasticPoolPerDatabaseSettings

The per database settings for the elastic pool.

properties.preferredEnclaveType

AlwaysEncryptedEnclaveType

Type of enclave requested on the elastic pool.

properties.zoneRedundant

boolean

Whether or not this elastic pool is zone redundant, which means the replicas of this elastic pool will be spread across multiple availability zones.

sku

Sku

An ARM Resource SKU.

tags

object

Resource tags.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

Sku

An ARM Resource SKU.

Name Type Description
capacity

integer (int32)

Capacity of the particular SKU.

family

string

If the service has different generations of hardware, for the same SKU, then that can be captured here.

name

string

The name of the SKU, typically, a letter + Number code, e.g. P3.

size

string

Size of the particular SKU

tier

string

The tier or edition of the particular SKU, e.g. Basic, Premium.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.